Get payment

This endpoint is used to get a payment data from its ID.

GET

https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
advanced_payment_id
number

REQUIRED

The payment, with id 'advanced_payment_id' to be confirmed.
Response parameters
id
number
Unique ID that identifies the payment.
wallet_payment
object
It indicates that is a payement from a seller with a previous Wallet Connect vinculation.
payments
array
Respuesta de pago aprobado
disbursements
object
List of payments that correspond to each seller.
Errors

400Error

400

Bad-Request

404

Not-Found

500Error

500

Error

Provide valid data in the request parameters before executing.
Request
curl -X GET \
    'https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    
Response
{
  "id": 10267812,
  "wallet_payment": {
    "transaction_amount": "24.50",
    "description": "Payment for the purchase of furniture",
    "external_reference": "Payment_seller_123"
  },
  "payments": [
    {
      "id": 3870106238,
      "status_detail": "approved_id",
      "payment_method_id": "credit_card_id",
      "transaction_amount": "24.50",
      "installments": 1,
      "description": "Payment for the purchase of furniture",
      "capture": true,
      "external_reference": "payment_123"
    }
  ],
  "disbursements": {
    "collector_id": "collectorId"
  },
  "payer": {
    "id": 8879
  },
  "site_id": "MLB",
  "date_created": "2018-10-20T09:34:20.518-04:00",
  "date_last_updated": "2018-10-20T09:34:20.518-04:00"
}